import identity from '../../../utils/identity';
var BasicBuilder = (function () {
    function BasicBuilder() {
        this._validators = [];
        this._normalizeBeforeSubmit = identity;
    }
    BasicBuilder.prototype.normalizeBeforeSubmit = function (normalizeBeforeSubmit) {
        this._normalizeBeforeSubmit = normalizeBeforeSubmit;
        return this;
    };
    BasicBuilder.prototype.validators = function () {
        var validators = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            validators[_i] = arguments[_i];
        }
        this._validators = validators;
        return this;
    };
    return BasicBuilder;
}());
export { BasicBuilder };
